Package ru.bitel.bgbilling.modules.rentsoft.common.bean

# Class RentsoftPayment

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.rentsoft.common.bean.RentsoftPayment

All Implemented Interfaces:
  `Serializable`, `Idable`

public class RentsoftPayment extends Id

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `STATUS_CHARGED`
  `static final int`
  `STATUS_UNCHARGED`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RentsoftPayment()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getAmount()`
  `String`
  `getComment()`
  `int`
  `getContractId()`
  `Date`
  `getDate()`
  `int`
  `getProductId()`
  `int`
  `getStatus()`
  `String`
  `getTxid()`
  `void`
  `setAmount(BigDecimal amount)`
  `void`
  `setComment(String comment)`
  `void`
  `setContractId(int cid)`
  `void`
  `setDate(Date date)`
  `void`
  `setProductId(int productId)`
  `void`
  `setStatus(int status)`
  `void`
  `setTxid(String txid)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### STATUS_CHARGED

    public static final int STATUS_CHARGED
    See Also:
      - Constant Field Values

  - ### STATUS_UNCHARGED

    public static final int STATUS_UNCHARGED
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RentsoftPayment

    public RentsoftPayment()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int cid)

  - ### getTxid

    public String getTxid()

  - ### setTxid

    public void setTxid(String txid)

  - ### getDate

    public Date getDate()

  - ### setDate

    public void setDate(Date date)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getAmount

    public BigDecimal getAmount()

  - ### setAmount

    public void setAmount(BigDecimal amount)

  - ### setStatus

    public void setStatus(int status)

  - ### getStatus

    public int getStatus()

  - ### setProductId

    public void setProductId(int productId)

  - ### getProductId

    public int getProductId()